Edit an orderCopy Pagepatch https://api.vrio.app/orders/{order_id}Edit an existing order's information using the unique order IDPath Paramsorder_idintegerrequiredBody Paramscustomer_card_idintegerChange the customer card that will be used for all charges for an order.emailstringEmail address of the customer. This is what creates a unique customer ID. Note - if using the same email all orders will group to that customer. Only editable until the order is complete.first_namestringCustomer first name. If not passed, the bill_fname value will be used. Only editable until the order is complete.last_namestringCustomer last name. If not passed, the bill_lname value will be used. Only editable until the order is complete.phonestringCustomer telephone number. Only editable until the order is complete.customers_address_billing_idintegerChange the customer billing address that will be used for an order.customers_address_shipping_idintegerChange the customer shipping address that will be used for an order.bill_fnamestringBilling first name. Required when customers_address_billing_id is empty and passing any billing information for the order. Only editable until the order is complete.bill_lnamestringBilling last name. Required when customers_address_billing_id is empty and passing any billing information for the order. Only editable until the order is complete.bill_address1stringBilling address line 1. Required when customers_address_billing_id is empty and passing any billing information for the order. Only editable until the order is complete.bill_address2stringBilling address line 2. Only editable until the order is complete.bill_citystringBilling city. Required when customers_address_billing_id is empty and passing any billing information for the order. Only editable until the order is complete.bill_countrystringBilling country code 2 letters (example : US). Required when customers_address_billing_id is empty and passing any billing information for the order. Only editable until the order is complete.bill_organizationstringBilling organization. Only editable until the order is complete.bill_statestringBilling state. Required when customers_address_billing_id is empty and bill_county is US or CA and passing any billing information for the order. Only editable until the order is complete.bill_zipcodestringBilling zipcode. Required when customers_address_billing_id is empty and passing any billing information for the order. Only editable until the order is complete.same_addressbooleanPass as true to use the same address for billing and shipping. Only one of those is required in that case. Only editable until the order is complete.truefalseship_fnamestringShipping first name. Required when customers_address_shipping_id is empty and order has shippable items and passing any shipping information for the order. Only editable until the order is complete.ship_lnamestringShipping last name. Required when customers_address_shipping_id is empty and order has shippable items and passing any shipping information for the order. Only editable until the order is complete.ship_address1stringShipping address line 1. Required when customers_address_shipping_id is empty and order has shippable items and passing any shipping information for the order. Only editable until the order is complete.ship_address2stringShipping address line 2. Only editable until the order is complete.ship_citystringShipping city. Required when customers_address_shipping_id is empty and order has shippable items and passing any shipping information for the order. Only editable until the order is complete.ship_countrystringShipping country code, 2 letters (example : US). Required when customers_address_shipping_id is empty and order has shippable items and passing any shipping information for the order. Only editable until the order is complete.ship_organizationstringShipping organization. Only editable until the order is complete.ship_statestringShipping state. Required when customers_address_shipping_id is empty and order has shippable items and ship_country is US or CA and passing any shipping information for the order. Only editable until the order is complete.ship_zipcodestringShipping zipcode. Required when customers_address_shipping_id is empty and order has shippable items and passing any shipping information for the order. Only editable until the order is complete.discount_codestringApply a discount code to the order. Only editable until the order is complete.shipping_profile_idintegerShipping profile to be used to determine shipping logic. Required if shipping profiles are setup on the campaign and there are shippable items on the order and passing any shipping information for the order. Only editable until the order is complete.order_discountstringApply a discount percentage to an order that will be used for all recurring charges.date_auto_capturedate-timeAuto capture date (2025-08-17 00:00:00) in EST.create_cartbooleanCreate and associate a cart, if none currently set.truefalsetracking1stringCustom Tracking Variable Option 1tracking2stringCustom Tracking Variable Option 2tracking3stringCustom Tracking Variable Option 3tracking4stringCustom Tracking Variable Option 4tracking5stringCustom Tracking Variable Option 5tracking6stringCustom Tracking Variable Option 6tracking7stringCustom Tracking Variable Option 7tracking8stringCustom Tracking Variable Option 8tracking9stringCustom Tracking Variable Option 9tracking10stringCustom Tracking Variable Option 10tracking11stringCustom Tracking Variable Option 11tracking12stringCustom Tracking Variable Option 12tracking13stringCustom Tracking Variable Option 13tracking14stringCustom Tracking Variable Option 14tracking15stringCustom Tracking Variable Option 15tracking16stringCustom Tracking Variable Option 16tracking17stringCustom Tracking Variable Option 17tracking18stringCustom Tracking Variable Option 18tracking19stringCustom Tracking Variable Option 19tracking20stringCustom Tracking Variable Option 20is_testbooleanFlag an order as a Test Order. Orders will always be flagged as test when using a test credit card.truefalseorder_notesstringApply note to the history of this order.Responses 200OK 400Error response 401Unauthorized response 403Forbidden response 500Error responseUpdated 7 days ago